WordPress WooCommerce Upload Files premium plugin <= 59.3 - Unauthenticated Arbitrary File Upload vulnerability

woocommerce-upload-files

Software
WooCommerce Upload Files
Versions
<= 59.3
Disclosure date
2021-03-04
CVE
CVE-2021-24171
Credits
Classification
Arbitrary File Upload
OWASP Top 10
A1: Injection

Are your websites subject to this vulnerability?

Details

Unauthenticated Arbitrary File Upload vulnerability found by WordFence in WordPress WooCommerce Upload Files premium plugin (versions <= 59.3).

Solution

Update the WordPress WooCommerce Upload Files premium plugin to the latest available version (at least 59.4).

Found a vulnerability that puts your sites at risk?

Found a vulnerability? Help us secure the web and join our community of ethical hackers.

Are you the developer of this software? Hire our researchers for a thorough security audit.